local t = Def.ActorFrame {};

t[#t+1] = Def.ActorFrame {
	Def.ActorFrame { -- Color
		Def.Quad {
			InitCommand=cmd(horizalign,left;zoomto,SCREEN_WIDTH,SCREEN_HEIGHT;diffuse,color("#000000");y,SCREEN_CENTER_Y;playcommand,"Set";);
			SetCommand=function(self) 
				if STATSMAN:GetCurStageStats():AllFailed() then
					self:diffuse(color('#8D1605'))
				else
					self:diffuse(color('#FFDC71'))
				end
			end;
			OnCommand=cmd(decelerate,0.4;addx,-SCREEN_WIDTH;sleep,0.2;diffusealpha,0;);
			-- OffCommand=cmd(smooth,0.3;addx,SCREEN_WIDTH;);
		};
	};
};

return t